/**
 * aceeditor.js
 *
 * Script to test the AceEditor field.
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// classes required by the script
Ext.require('Ext.form.Panel');
Ext.require('Ext.tip.QuickTipManager');
Ext.require('App.form.field.AceEditor');

Ext.onReady(function(){

    "use strict";

    var form;

    Ext.QuickTips.init();

    form = Ext.create('Ext.form.Panel', {
        title: 'Ace Editor',
        bodyPadding: 5,
        width: 350,
        layout: 'anchor',
        defaults: {
            anchor: '100%'
        },
        items: [{
            fieldLabel: 'MyText',
            xtype: 'textfield'
        }, {
            fieldLabel: 'MyEditor',
            xtype: 'xaceeditorfield'
        }],
        tools: [{
            type:'close',
            callback: function(cmp, tool, event) {
                Ext.destroy(cmp);
            }
        }],
        renderTo: Ext.getBody()
    });

});
