/**
 * combo.js
 *
 * Script to test the Combo field.
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// classes required by the script
Ext.require('Ext.form.Panel');
Ext.require('Ext.direct.Manager');
Ext.require('Ext.direct.RemotingProvider');
Ext.require('Ext.tip.QuickTipManager');
Ext.require('App.form.field.ComboBox');

Ext.onReady(function(){

    "use strict";

    var form;

    Ext.QuickTips.init();
    Ext.direct.Manager.addProvider(App.REMOTE_API);
    App.defineModels();

    form = Ext.create('Ext.form.Panel', {
        title: 'ComboBox',
        bodyPadding: 5,
        width: 350,
        layout: 'anchor',
        defaults: {
            anchor: '100%'
        },
        items: [{
            fieldLabel: 'MyText',
            xtype: 'textfield'
        }, {
            displayField: 'TeamsTeam',
            emptyText: 'select a team',
            fieldLabel: 'MyCombo',
            store: 'teamsStore',
            valuefield: 'TeamsId',
            xtype: 'xcombobox'
        }],
        renderTo: Ext.getBody()
    });

});
