/**
 * combo_1.js
 *
 * To test and debug combo widget with a local store.
 *
 */

Ext.onReady(function(){

    Ext.QuickTips.init();

	var store = new Ext.data.JsonStore({
        fields: ['id', 'idcategory', 'category'],
		data: [
			{id: 1, idcategory: 10, category: 'database'},
			{id: 2, idcategory: 11, category: 'development'},
			{id: 3, idcategory: 12, category: 'emulator'},
			{id: 4, idcategory: 13, category: 'system'}
		]
	});

	var combo = new Ext.form.ComboBox({
		
		selectOnFocus: true,
		triggerAction: 'all',
		typeAhead: true,

		displayField: "category",
		fieldLabel: "Category",
		valueField: "id",
		hiddenName: "idcategory",
		emptyText: "Select a category... ",
		mode: 'local',
		store: store,
	});

	combo.on("select", function(){
		console.log(this.getValue());
	});
	
	combo.on('render', function(c){
	    new Ext.ToolTip({
	        target: c.getEl(),
	        anchor: 'right',
	        trackMouse: true,
	        html: 'Tracking while you move the mouse'
	    });
	});
	
	var panel = new Ext.Panel({
		renderTo: "appmain",
		bodyStyle: 'padding:5px 5px 0',
		height: 50,
		width: 350,
		frame: true,
		labelWidth: 75,
		items: [combo],
	});

	
//	// select a value
//	combo.setValue(2);
	
});