/**
 * grid_3.js
 *
 * To test and debug grid filter
 *
 */
Ext.namespace('App.grid');

/**
 * main function to get configuration information
 */
mainCfg = function(){

	// Expose the remote service cfgSvc
	Ext.Direct.addProvider(App.cfgSvcMethods);
	
	// Request form model from the server
	cfgSvc.get_grid_model('publications', mainGrid);
	
};

/**
 * main function to instantiate the grid
 * @param {Object} provider
 * @param {Object} response
 */
mainGrid = function(provider, response){

	var cfg = response.result;
	
//	console.log("Grid Model");
//	console.dir(cfg);
	
	// instantiate the grid
	var grid = new App.grid.Grid(cfg);
	
	// the grid filter object
	var gridFilter = new Ext.form.FieldSet({
		title: 'Filter',
		labelWidth: 50,
		items: [{
				xtype: 'textfield',
				enableKeyEvents: true,
				fieldLabel: 'year',
				name: '[publications.year]',
				listeners: {
					specialkey: function(field, e){
						if (e.getKey() == e.ENTER) {
							console.debug('enter pressed');
							var value = field.getValue();
							console.debug('name', field.name, value);
							var store = grid.getStore();
							var foo = field.name + ' == ' + value;
							console.debug(foo);
							store.baseParams.where.push(foo);
							console.debug(store.baseParams.where);
							store.load();
						}	
					},
				}
			}, {
				xtype: 'textfield',
				enableKeyEvents: true,
				fieldLabel: 'author',
				name: 'PublicationsAuthors_cppm'
			},
		],
	});
	

	// the mechanic to filter
	
	// the viewport to hold the grid
	// 	using all space available in the browser
	var vp = new Ext.Viewport({
		layout: 'border',
		items: [{
			region: 'center',
			layout: 'fit',
			items: [grid]
		}, {
			region: 'east',
			collapsible: true,
			collapsed: false,
			items: [gridFilter],
			width: 300,
			padding: 7,
			frame: true,
			layout: 'fit',
		}]
	});
	
	vp.render('appmain');
};


Ext.onReady(function(){

    Ext.QuickTips.init();

	// load the MathJax library
	App.withMathJax ? App.loadMathJax(mainCfg) : mainCfg();

});