/**
 * loader.js
 *
 * Test different variation of loader
 *
 */

// Activate the dynamic loading for Ext JS and application classes
App.setDynamicLoading(App.debug);

// classes required by the script
Ext.require('Ext.ComponentLoader');
Ext.require('Ext.grid.Panel');
Ext.require('Ext.panel.Panel');
Ext.require('Ext.tip.QuickTipManager');
Ext.require('App.grid.plugin.Export');

Ext.onReady(function(){

    var panel1,
        panel2,
        panel3;

    Ext.QuickTips.init();

    panel1 = Ext.create('Ext.panel.Panel', {
        title: 'Loader HTML',
        width: 300,
        html: '<p>Salut ma poule</p>',
        renderTo: 'appmain'
    });

    panel2 = Ext.create('Ext.panel.Panel', {
        title: 'Loader URL',
        width: 300,
        loader: {
            url: '/' + App.name + '/reports/report_1',
            autoLoad: true
        },
        renderTo: 'appmain'
    });

    panel3 = Ext.create('Ext.panel.Panel', {
        title: 'Loader URL with inline javascript',
        width: 300,
        height: 250,
        loader: {
            url: '/' + App.name + '/plugin_dbui/versions',
            autoLoad: true,
            scripts: true
        },
        renderTo: 'appmain'
    });
});