/**
 * store_1.js
 *
 * To test and debug JsonStore using Ext.data.DirectStore protocole.
 * Example can be found here: http://extdirectspring.ralscha.ch/demo/
 *
 */
/**
 *
 * Call when the store is loaded.
 * It is used to test the main store action.
 *
 */

function onLoad (records, operation, success) {

    var index,
        model,
        store = this,
        record;

    // arguments
    console.log("after load");
    console.log("\trecords", records);
    console.log("\toperation", operation);
    console.log("\tsuccess", success);

    // total number of counts
    console.log("total count", store.getTotalCount());

    // get a record
    record = store.getAt(1);
    console.log('get a record at 1');
    console.log(record);
    console.log('Categories code:', record.get('CategoriesCode'));

    // the model
    model = store.getProxy().getModel();
    console.log('The model', model);
    console.log('\tclass name', model.getName());
    console.log('\tmodel name', model.modelName);

    // create a new record
    console.log('Create a new record');
    record = model.create();
    record.set('CategoriesCode', "AAH");
    record.set('CategoriesDefinition', "Oh là là");

    console.log('1', record);
    record.save();

    // find the record previously created
    index = store.find('CategoriesCode', 'AAH');
    console.log('record index is', index, 'over', store.getTotalCount());

    if (index > -1) {
        record = store.getAt(index);
        console.log('2', record);

        // update the record
        //record.set('CategoriesCode', "BBH");
        //record.save();

        // destroy the record
        //store.remove(record);
        //store.sync();
        //console.log('delete record index ', index, "count", store.getTotalCount());
    }

};

Ext.onReady(function () {

    var model,
        proxy,
        store,
        storeId,
        tablename = "categories";

    Ext.QuickTips.init();
	Ext.direct.Manager.addProvider(App.REMOTE_API);

    // build the store identifier
    storeId = tablename + "Store";
    console.log("storeId", storeId);

    // instantiate the store
    store = App.getStore(storeId);
    console.log("store", store);

    store.on('load', onLoad, store);

    // total number of record
    console.log('total count', store.getTotalCount());
    console.log('page size', store.pageSize);

    //load the store and play with it
    store.load();
});